Bug 491236 - Anaconda Recovery and two md0 arrays
Anaconda Recovery and two md0 arrays
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 19:40 EDT by peter.senna
Modified: 2009-07-14 14:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:19:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description peter.senna 2009-03-19 19:40:37 EDT
Description of problem:

I was using Fedora 9 on my server with 2 80 GB HDs. I was using software RAID on those HDs. The raid device name was /dev/md0. Then I bought two larger HDs. I've done a clean install using only the 2 new Hds. During the install process, there were only the 2 new HDs. I'm using software raid level 1 on both new and old HDs.

After install and update my new installation, it was required to copy files from the old software RAID array to the new one.

I installed the 4 HDs on my server and booted the Fedora 9 installation DVD in recovery mode.

Anaconda asked me if I would like to mount my filesystem, I answered yes. Then other question asking if my system root was at "md0" or at "md0". The spelling is correct. Two times md0.

Doing this way I was unable to mount both raid arrays using anaconda. Only one at a time. This was caused because mdadm --examine --scan reports two /dev/md0 arrays.

To be able to copy the files from one raid array to other it was required to answer no when Anaconda asked about mounting root filesystem and then assembly the arrays by hand. There are four simple steps to to that but it took one day to find it...

My suggestions are:

1 - When there are different raid arrays pointing to the same device, like /dev/md0, Anaconda should ask the user about witch one he wasts at /mnt/sysimage BUT anaconda may give some information to the user like HD size or model to help the user to decide witch one is the correct.

2 - After mounting the /mnt/sysimage, Anaconda should ask if the user wants to mount the other RAID arrays that were found.
Comment 1 Bug Zapper 2009-06-09 23:37:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 14:19:58 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.